Question about updating the emunand.

Discussion in '3DS - Flashcards & Custom Firmwares' started by Bryon15, Feb 29, 2016.

  1. Bryon15
    OP

    Bryon15 GBAtemp Maniac

    Member
    1,160
    108
    Aug 9, 2010
    United States
    united states
    I just downgraded my old model 3ds XL from 10.3 to 9.2 and installed rxtools. I unlinked the sysnand and emunand (I think). Everything seems to working correctly. But now I can't play my physical cart of pokemon super mystery dungeon. It says it has to be at 9.9 or higher. So how do I go about updating the emunand? Should I download firmware 10.3 and use sysupdate? Or should I update to the latest version from nintendo from the emunand system settings?
     
  2. HariGp

    HariGp GBAtemp Regular

    Member
    266
    51
    Jan 14, 2016
    India
    You could do either one. If you're going to update to latest version(10.6) either way, just do it from system settings on emuNAND.

    P.S - Look for the version string: RXE/RX3 to make sure you're on emuNAND. And don't go back to home menu from system settings, or it will kick you back to sysNAND.
     
  3. Bryon15
    OP

    Bryon15 GBAtemp Maniac

    Member
    1,160
    108
    Aug 9, 2010
    United States
    united states
    Is it safe to update emunand to the lastest version though? Like, it won't interfere with any of the homebrew, installed cia's, emulators, or anything?
     
  4. HariGp

    HariGp GBAtemp Regular

    Member
    266
    51
    Jan 14, 2016
    India
    They won't be affected.

    But you can't use browserhax on emuNAND(latest update blocks it), and menuhax either(but who uses menuhax on emuNAND :P)
     
  5. Bryon15
    OP

    Bryon15 GBAtemp Maniac

    Member
    1,160
    108
    Aug 9, 2010
    United States
    united states
    Hmm. That could be a problem. How would I access the homebrew launcher? Is there an HBL cia I can install on emunand?
     
  6. HariGp

    HariGp GBAtemp Regular

    Member
    266
    51
    Jan 14, 2016
    India
  7. Bryon15
    OP

    Bryon15 GBAtemp Maniac

    Member
    1,160
    108
    Aug 9, 2010
    United States
    united states
  8. HariGp

    HariGp GBAtemp Regular

    Member
    266
    51
    Jan 14, 2016
    India
    Yes, yes you can :)
     
    Bryon15 likes this.
  9. Noelemahc

    Noelemahc GBAtemp Regular

    Member
    133
    25
    Jan 28, 2016
    Serbia, Republic of
    Don't forget to make a backup of your emuNAND partition with EmuNAND9 or RxTools or any other tool prior to updating. It will make things easier if something goes wrong.
     
  10. Bryon15
    OP

    Bryon15 GBAtemp Maniac

    Member
    1,160
    108
    Aug 9, 2010
    United States
    united states
    There's a problem. I can't install cia anymore either. After updating the emunand to 10.6, formatting the system memory, linking my NNID with it, and redownloading my eshop games, it won't let me install cia anymore. Anyway to fix this?

    Edit - Nevermind. It's working now. :)
     
    Last edited by Bryon15, Mar 1, 2016
  11. Bryon15
    OP

    Bryon15 GBAtemp Maniac

    Member
    1,160
    108
    Aug 9, 2010
    United States
    united states
    I noticed a problem. None of my ambassador gba games will work. I keep getting this screen:

    http://i.imgur.com/RyA70en.jpg

    The nes ambassador games work fine though.
     
  12. Noelemahc

    Noelemahc GBAtemp Regular

    Member
    133
    25
    Jan 28, 2016
    Serbia, Republic of
    It's the same as with DSiWare games: check if you also have them installed in SysNAND and whether you've changed your AGB_FIRM at any point.
     
  13. Revchappy

    Revchappy Member

    Newcomer
    15
    0
    Mar 14, 2010
    United States
    I can't seem to get my Emunand to update at all through the system. It keeps telling me there was an error and reboots. Would I have to go through sysupdater?